Drupal 8 composer commerce2 killed

Got composer working with putty SSH connection to shared server, but running the commerce 2 install command :

[~/public_html/mysitefolder] $composer require ‘drupal/commerce:^2.2’

./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)
Killed

$ composer diagnose

showed good system with

Composer version: 1.6.3
PHP version: 7.2.4

PHP memory_limit  256M

( memory to at least 768MB in order to get composer update to work in some situations. )?

Could this be the reason?

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/22/feed